module RailsSqlViews4
end


$:.unshift(File.dirname(__FILE__))

require 'active_record'

require 'core_ext/module'

require 'rails_sql_views4/connection_adapters/abstract/schema_definitions'
require 'rails_sql_views4/connection_adapters/abstract/schema_statements'
require 'rails_sql_views4/connection_adapters/abstract_adapter'
require 'rails_sql_views4/schema_dumper'
require 'rails_sql_views4/loader'

ActiveRecord::ConnectionAdapters::AbstractAdapter.class_eval do
  include RailsSqlViews4::ConnectionAdapters::SchemaStatements
  def self.inherited(sub)
    RailsSqlViews4::Loader.load_extensions
  end
end

ActiveRecord::SchemaDumper.class_eval do
  include RailsSqlViews4::SchemaDumper
end

RailsSqlViews4::Loader.load_extensions
